##############################################################################
#
# Copyright (c) 2009-2010 Nexedi SA and Contributors. All Rights Reserved.
#                    Gabriel M. Monnerat <gabriel@tiolive.com>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsibility of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# guarantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is free software: you can Use, Study, Modify and Redistribute
# it under the terms of the GNU General Public License version 3, or (at your
# option) any later version, as published by the Free Software Foundation.
#
# You can also Link and Combine this program with other software covered by
# the terms of any of the Free Software licenses or any of the Open Source
# Initiative approved licenses and Convey the resulting work. Corresponding
# source of such a combination shall include the source code for all other
# software used.
#
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See COPYING file for full licensing terms.
# See https://www.nexedi.com/licensing for rationale and options.
#
##############################################################################

# pylint:disable=no-method-argument,no-self-argument

from zope.interface import Interface


class IApplication(Interface):
  """Controls and monitors an application"""

  def start(init=True):
    """Start the application"""

  def stop():
    """Stop the application"""

  def pid():
    """Get the process pid"""

  def loadSettings(hostname,
                  port,
                  working_path,
                  office_binary_path):
    """Load configuration to control OOo Instances"""

  def status():
    """Checks if the application works correctly"""

  def restart():
    """Restarts the application with the same settings"""

  def getAddress():
    """Returns the hostname and port in tuple"""
